Package org.eclipse.rdf4j.query.resultio

## Class UnsupportedQueryResultFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.query.resultio.UnsupportedQueryResultFormatException

- All Implemented Interfaces:
    `Serializable`

      public class UnsupportedQueryResultFormatException
      extends RuntimeException

  A Runtime exception indicating that a specific query result format is not supported.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedQueryResultFormatException​(String msg)` | Creates a new UnsupportedRDFormatException.
    `UnsupportedQueryResultFormatException​(String msg, Throwable cause)` | Creates a new UnsupportedRDFormatException wrapping another exception.
    `UnsupportedQueryResultFormatException​(Throwable cause)` | Creates a new UnsupportedRDFormatException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedQueryResultFormatException

          public UnsupportedQueryResultFormatException​(String msg)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `msg` - An error message.

    - #### UnsupportedQueryResultFormatException

          public UnsupportedQueryResultFormatException​(Throwable cause)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `cause` - The cause of the exception.

    - #### UnsupportedQueryResultFormatException

          public UnsupportedQueryResultFormatException​(String msg,
                                                       Throwable cause)

      Creates a new UnsupportedRDFormatException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.